body {
  margin: 0;
  font-family: "Montserrat", sans-serif;
  background: #050814;
  color: #f5f5f5;
}

.tabs {
  display: flex;
  gap: 10px;
  padding: 10px 14px;
  background: #0b0d14;
  border-bottom: 1px solid #222633;
  position: fixed;
  top: 0;
  width: 100%;
  height: 60px;
  z-index: 150;
}

.tab-btn {
  background: rgba(255,255,255,0.08);
  padding: 10px 16px;
  border-radius: 7px;
  font-size: 15px;
  border: 1px solid #2d3350;
  color: #f5f5f5;
  cursor: pointer;
  transition: 0.25s ease;
}

.tab-btn.active {
  background: rgba(43,92,255,0.6);
  border-color: #3f6dff;
}

.tab-content {
  display: none;
  padding: 20px;
  width: 100%;
  max-width: 900px;
  margin: 80px auto 0 auto;
}

.tab-content.active {
  display: block;
}

#list-container,
#pending-container,
#allowed-container,
#leaderboard-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-top: 15px;
}

.level-card {
  display: flex;
  gap: 20px;
  background: rgba(255,255,255,0.92);
  border-radius: 10px;
  padding: 20px;
  border: 1px solid #ccc;
  cursor: pointer;
  transition: 0.2s ease;
  width: 780px;
  height: 170px;
  margin: 0 auto;
  color: #111;
}

.level-card img {
  width: 300px;
  height: 170px;
  object-fit: cover;
  border-radius: 8px;
}

.level-card:hover {
  transform: translateY(-3px);
}

.level-info {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.level-page {
  margin-top: 30px;
}

.level-header {
  display: flex;
  gap: 20px;
  align-items: center;
  margin-bottom: 20px;
}

.level-banner {
  width: 260px;
  height: 150px;
  object-fit: cover;
  border-radius: 10px;
}

.victor-list p {
  margin: 4px 0;
}

.player-card {
  background: rgba(255,255,255,0.92);
  border-radius: 10px;
  padding: 20px;
  border: 1px solid #ccc;
  width: 780px;
  margin: 0 auto;
  color: #111;
}
